> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Build Aliases

> Lists details of all build aliases for a title. Accepts tokens for title and if game client access is enabled, allows game client to request list of builds with player entity token.

Allowed entity token types: title, title_player_account

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| APINotEnabledForGameClientAccess | 1082 |
| MultiplayerServerBadRequest | 1382 |
| MultiplayerServerForbidden | 1384 |
| MultiplayerServerInternalServerError | 1387 |
| MultiplayerServerNotFound | 1385 |
| MultiplayerServerUnauthorized | 1383 |
| MultiplayerServerUnavailable | 1388 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/multiplayer/multiplayer.openapi.json post /MultiplayerServer/ListBuildAliases
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Multiplayer API
  description: >-
    API methods for managing multiplayer servers. API methods for managing
    parties. The lobby service helps players group together to play multiplayer
    games. It is often used as a rendezvous point for players to share
    connection information. The TrueSkill service helps titles to estimate a
    player's skill based on their match results. The player skill values from
    this service are commonly used by a matchmaking service to provide players
    with balanced matches.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Lobby
    description: ''
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Matchmaking Admin
    description: Matchmaking Admin APIs
  - name: MultiplayerServer
    description: Multiplayer Server APIs
  - name: PubSub
    description: PlayFab PubSub APIs
  - name: TrueSkill
    description: TrueSkill APIs
  - name: TrueSkill Admin
    description: TrueSkill Admin APIs
paths:
  /MultiplayerServer/ListBuildAliases:
    post:
      tags:
        - MultiplayerServer
      summary: List Build Aliases
      description: >
        Lists details of all build aliases for a title. Accepts tokens for title
        and if game client access is enabled, allows game client to request list
        of builds with player entity token.


        Allowed entity token types: title, title_player_account


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | APINotEnabledForGameClientAccess | 1082 |

        | MultiplayerServerBadRequest | 1382 |

        | MultiplayerServerForbidden | 1384 |

        | MultiplayerServerInternalServerError | 1387 |

        | MultiplayerServerNotFound | 1385 |

        | MultiplayerServerUnauthorized | 1383 |

        | MultiplayerServerUnavailable | 1388 |

        | ProductDisabledForTitle | 1609 |
      operationId: ListBuildAliases
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListBuildAliasesRequest'
        description: >-
          Returns a list of summarized details of all multiplayer server builds
          for a title.
      responses:
        '200':
          $ref: '#/components/responses/ListBuildAliasesResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    ListBuildAliasesRequest:
      description: >-
        Returns a list of summarized details of all multiplayer server builds
        for a title.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        PageSize:
          description: The page size for the request.
          type: number
          x-actualtype: int32
        SkipToken:
          description: The skip token for the paged request.
          type: string
      example:
        PageSize: 10
    ListBuildAliasesResponse:
      type: object
      properties:
        BuildAliases:
          description: The list of build aliases for the title
          type: array
          items:
            $ref: '#/components/schemas/BuildAliasDetailsResponse'
          x-isclass: true
        PageSize:
          description: The page size on the response.
          type: number
          x-actualtype: int32
        SkipToken:
          description: The skip token for the paged response.
          type: string
      required:
        - PageSize
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    BuildAliasDetailsResponse:
      type: object
      properties:
        AliasId:
          description: The guid string alias Id of the alias to be created or updated.
          type: string
        AliasName:
          description: The alias name.
          type: string
        BuildSelectionCriteria:
          description: Array of build selection criteria.
          type: array
          items:
            $ref: '#/components/schemas/BuildSelectionCriterion'
          x-isclass: true
      example:
        AliasId: 21781fa8-096d-4d9c-b699-75433d579285
        AliasName: AliasName
        BuildSelectionCriteria:
          - BuildWeightDistribution:
              53781fa8-006d-4e9c-b733-57433d579285: 1
    BuildSelectionCriterion:
      type: object
      properties:
        BuildWeightDistribution:
          description: >-
            Dictionary of build ids and their respective weights for
            distribution of allocation requests.
          type: object
          x-actualtype: uint32
      example:
        BuildWeightDistribution:
          53781fa8-006d-4e9c-b733-57433d579285: 1
  responses:
    ListBuildAliasesResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ListBuildAliasesResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [List Build Aliases](/services/playfab/api-references/rest/multiplayer/multiplayer-server/list-build-aliases.md)
- [PFMultiplayerServerListBuildAliasesResponse](/services/playfab/api-references/c/pfmultiplayerservertypes/structs/pfmultiplayerserverlistbuildaliasesresponse.md)
- [PFMultiplayerServerListBuildAliasesRequest](/services/playfab/api-references/c/pfmultiplayerservertypes/structs/pfmultiplayerserverlistbuildaliasesrequest.md)
- [PFMultiplayerServerListBuildAliasesAsync](/services/playfab/api-references/c/pfmultiplayerserver/functions/pfmultiplayerserverlistbuildaliasesasync.md)
- [Managing a build alias and allocating to it](/services/playfab/multiplayer/servers/allocating-with-build-alias.md)
